import { axios } from '@/utils/request'

export function fetchBolgQuantityTotal (query) {
  return axios({
    url: '/dashboard/blog-total/v1/quantity',
    method: 'get',
    params: query
  })
}

export function getPostsStatistics (query) {
  return axios({
    url: '/dashboard/post-statistics/v1/list',
    method: 'get',
    params: query
  })
}

export function getPostsRanking (query) {
  return axios({
    url: '/dashboard/post-ranking/v1/list',
    method: 'get',
    params: query
  })
}

export function getCountPerson (query) {
  return axios({
    url: '/posts/posts/v1/statistics',
    method: 'get',
    params: query
  })
}

export function getViewsChart (query) {
  return axios({
    url: '/byteblogs/user-views/v1/chart',
    method: 'get',
    params: query
  })
}
