const table = {
  columns: [
    {
      title: '头像',
      align: 'center',
      dataIndex: 'avatar',
      scopedSlots: { customRender: 'avatar' }
    },
    {
      title: '视频号名称',
      align: 'center',
      dataIndex: 'videoAccountName',
      scopedSlots: { customRender: 'videoAccountName' }
    },
    {
      title: '视频号简介',
      align: 'center',
      dataIndex: 'videoAccountInfo'
    },
    {
      title: '发布次数',
      align: 'center',
      dataIndex: 'sendVideoCount'
    },
    {
      title: '开始投放日期',
      align: 'center',
      dataIndex: 'putStartTime',
      scopedSlots: { customRender: 'createTime' }
    },
    {
      title: '投放条数',
      align: 'center',
      dataIndex: 'putCount'
    },
    {
      title: '投放量级',
      align: 'center',
      dataIndex: 'putLevelCount'
    },
    {
      title: '粉丝数',
      align: 'center',
      dataIndex: 'fansCount'
    },
    {
      title: '创建时间',
      align: 'center',
      dataIndex: 'createTime',
      scopedSlots: { customRender: 'createTime' }
    }
  ]
}

// 表格里面的列key value
const filters = {
  statusFilter (status) {
    const statusMap = {
      1: '是',
      2: '否'
    }
    return statusMap[status]
  },
  statusTypeFilter (status) {
    const statusMap = {
      1: 'error',
      2: 'success'
    }
    return statusMap[status]
  }
}

export { table, filters }
