const table = {
  columns: [
    {
      title: 'feed id',
      align: 'center',
      dataIndex: 'feedId'
    },
    {
      title: 'finderUin',
      align: 'center',
      dataIndex: 'finderUin'
    },
    {
      title: '视频',
      align: 'center',
      dataIndex: 'link',
      scopedSlots: { customRender: 'video' }
    },
    {
      title: '文案',
      align: 'center',
      dataIndex: 'desc',
      scopedSlots: { customRender: 'summary' }
    },
    {
      title: '开始时间',
      align: 'center',
      dataIndex: 'sendTime',
      scopedSlots: { customRender: 'createTime' }
    },
    {
      title: '状态',
      align: 'center',
      dataIndex: 'status'
    },
    {
      title: '曝光',
      align: 'center',
      dataIndex: 'exposureCount'
    },
    {
      title: '点赞',
      align: 'center',
      dataIndex: 'likeCount'
    },
    {
      title: '点赞率',
      align: 'center',
      dataIndex: 'likeCount'
    },
    {
      title: '关注率',
      align: 'center',
      dataIndex: 'likeCount'
    },
    {
      title: '完播率',
      align: 'center',
      dataIndex: 'playCount'
    },
    {
      title: '投放等级',
      align: 'center',
      dataIndex: 'putLevel'
    },
    {
      title: '投放量级',
      align: 'center',
      dataIndex: 'putCountLevel'
    },
    {
      title: '流量标签',
      align: 'center',
      dataIndex: 'putTag'
    },
    {
      title: '性别',
      align: 'center',
      dataIndex: 'putGender'
    },
    {
      title: '城市',
      align: 'center',
      dataIndex: 'putTag'
    },
    {
      title: '年龄',
      align: 'center',
      dataIndex: 'putAge'
    },
    {
      title: '申请人',
      align: 'center',
      dataIndex: 'putUser'
    }
  ]
}

// 表格里面的列key value
const filters = {
  statusFilter (status) {
    const statusMap = {
      0: '未投放',
      1: '投放中'
    }
    return statusMap[status]
  },
  statusTypeFilter (status) {
    const statusMap = {
      0: 'error',
      1: 'success',
      2: 'success'
    }
    return statusMap[status]
  }
}

export { table, filters }
