import { axios } from '@/utils/request'

export function login (parameter) {
  return axios({
    url: '/auth/admin/v1/login',
    method: 'post',
    data: parameter
  })
}

export function register (parameter) {
  return axios({
    url: '/auth/admin/v1/register',
    method: 'post',
    data: parameter
  })
}

export function getSmsCaptcha (parameter) {
  return axios({
    url: '/byteblogs/email/v1/send',
    method: 'post',
    data: parameter
  })
}


export function getCurrentUserNav (token) {
  return axios({
    url: '/user/nav',
    method: 'get'
  })
}

export function logout () {
  return axios({
    url: '/auth/logout',
    method: 'post',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
